<?php

// スクリプト(jQuery)読み込み
function add_script(){
   //my scriptの読み込み
  wp_enqueue_script('my_script', get_template_directory_uri() . '/js/my_script.js', array('jquery'), '', true);
}
add_action( 'wp_enqueue_scripts', 'add_script' );

// ウィジェット
register_sidebar();

// RSSフィード
add_theme_support( 'automatic-feed-links' );

// カスタムメニュー
register_nav_menu( 'navigation', 'ナビゲーション' );

// カスタム背景
add_theme_support( 'custom-background' );

// カスタムヘッダー
add_theme_support( 'custom-header', array(
  'width' => 1000,
  'height' => 320
) );

// カスタマイザーオリジナル項目追加
add_action( 'customize_register', 'theme_customize_register' );

// カスタマイザーテキストボックス対応
if(class_exists('WP_Customize_Control')):
	class EX_Customize_Textarea_Control extends WP_Customize_Control {
		public $type = 'textarea';

		public function render_content() {
			?>
			<label>
			<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
			<textarea rows="10" style="width:100%;" <?php $this->link(); ?>><?php echo esc_textarea( $this->value() ); ?></textarea>
			</label>
			<?php
		}
	}
endif;


function theme_customize_register($wp_customize) {

  /* ==== ヘッダーカスタム ==== */
  /* セクション追加 */
  $wp_customize->add_section( 'header_custom', array(
    'title' =>'ヘッダーカスタム',
    'priority' => 100,
  ));

  /* ヘッダーカスタム：サイトロゴ使用表示 */
  $wp_customize->add_setting('header_custom[sitelogo_check]', array(
    'type' => 'option',
  ));

  $wp_customize->add_control( 'header_custom[sitelogo_check]', array(
  'settings' => 'header_custom[sitelogo_check]',
  'label' => 'タイトルをサイトロゴで表示させる',
  'section' => 'header_custom',
  'type' => 'checkbox',
  ));

  /* ヘッダーカスタム：サイトロゴ画像選択 */
  $wp_customize->add_setting('header_custom[sitelogo_img]', array(
    'type' => 'option',
  ));

if(class_exists('WP_Customize_Image_Control')):
  $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'header_custom[sitelogo_img]', array(
    'settings' => 'header_custom[sitelogo_img]',
    'label' => '画像',
    'section' => 'header_custom',
  )));
endif;


  /* ヘッダーカスタム：問い合わせ情報表示「チェックボックス」 */
  $wp_customize->add_setting('header_custom[contact_check]', array(
    'type' => 'option',
  ));

  $wp_customize->add_control( 'header_custom[contact_check]', array(
  'settings' => 'header_custom[contact_check]',
  'label' => '問い合わせ情報を表示する',
  'section' => 'header_custom',
  'type' => 'checkbox',
  ));

  /* ヘッダーカスタム：問い合わせ項目名 */
  $wp_customize->add_setting('header_custom[contact_label]', array(
    'type' => 'option',
  ));

  $wp_customize->add_control( 'header_custom[contact_label]', array(
    'settings' => 'header_custom[contact_label]',
    'label' => '項目名',
    'section' => 'header_custom',
    'type' => 'text',
  ));

  /* ヘッダーカスタム：問い合わせ情報（番号など） */
  $wp_customize->add_setting('header_custom[contact_info]', array(
    'type' => 'option',
  ));

  $wp_customize->add_control( 'header_custom[contact_info]', array(
    'settings' => 'header_custom[contact_info]',
    'label' => '情報（番号など）',
    'section' => 'header_custom',
    'type' => 'text',
  ));

  /* ヘッダーカスタム：問い合わせ情報（サブ：受付時間など） */
  $wp_customize->add_setting('header_custom[contact_subinfo]', array(
//    'default' => '受付時間：9:00-17:00',
    'type' => 'option',
  ));

  $wp_customize->add_control( 'header_custom[contact_subinfo]', array(
    'settings' => 'header_custom[contact_subinfo]',
    'label' => 'サブ情報（受付時間など）',
    'section' => 'header_custom',
    'type' => 'text',
  ));

  /* ==== トップページカスタム ==== */
  /* セクション追加 */
  $wp_customize->add_section( 'toppage_custom', array(
    'title' =>'トップページカスタム',
    'priority' => 101,
  ));

  /* トップページカスタム：ファーストコンテンツ表示／非表示 */
  $wp_customize->add_setting('toppage_custom[first_disp]', array(
    'type' => 'option',
  ));

  $wp_customize->add_control( 'toppage_custom[first_disp]', array(
  'settings' => 'toppage_custom[first_disp]',
  'label' => 'ファーストコンテンツを表示する',
  'section' => 'toppage_custom',
  'type' => 'checkbox',
  ));

  /* トップページカスタム：ファーストコンテンツタイトル */
  $wp_customize->add_setting('toppage_custom[first_title]', array(
    'type' => 'option',
  ));

  $wp_customize->add_control( 'toppage_custom[first_title]', array(
    'settings' => 'toppage_custom[first_title]',
    'label' => 'タイトル',
    'section' => 'toppage_custom',
    'type' => 'text',
  ));

  /* トップページカスタム：ファーストコンテンツ文章 */
  $wp_customize->add_setting('toppage_custom[first_txt]', array(
    'type' => 'option',
  ));

  if(class_exists('EX_Customize_Textarea_Control')):
    $wp_customize->add_control( new EX_Customize_Textarea_Control( $wp_customize, 'toppage_custom[first_txt]', array(
      'settings' => 'toppage_custom[first_txt]',
      'label' => '文章',
      'section' => 'toppage_custom',
      'type' => 'text',
    )));
  endif;

  /* トップページカスタム：ファーストコンテンツ画像表示／非表示 */
  $wp_customize->add_setting('toppage_custom[img_disp]', array(
    'type' => 'option',
  ));

  $wp_customize->add_control( 'toppage_custom[img_disp]', array(
  'settings' => 'toppage_custom[img_disp]',
  'label' => 'ファーストコンテンツ画像を表示する',
  'section' => 'toppage_custom',
  'type' => 'checkbox',
  ));

  /* ヘッダーカスタム：サイトロゴ画像選択 */
  $wp_customize->add_setting('toppage_custom[first_img]', array(
    'type' => 'option',
  ));

if(class_exists('WP_Customize_Image_Control')):
  $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'toppage_custom[first_img]', array(
    'settings' => 'toppage_custom[first_img]',
    'label' => 'ファーストコンテンツ画像',
    'section' => 'toppage_custom',
  )));
endif;

/* トップページカスタム：お知らせ情報表示／非表示 */
$wp_customize->add_setting('toppage_custom[news_disp]', array(
  'type' => 'option',
));

$wp_customize->add_control( 'toppage_custom[news_disp]', array(
'settings' => 'toppage_custom[news_disp]',
'label' => 'お知らせ情報を表示する',
'section' => 'toppage_custom',
'type' => 'checkbox',
));

/* トップページカスタム：最新情報表示／非表示 */
$wp_customize->add_setting('toppage_custom[article_disp]', array(
  'type' => 'option',
));

$wp_customize->add_control( 'toppage_custom[article_disp]', array(
'settings' => 'toppage_custom[article_disp]',
'label' => '最新の投稿を表示する',
'section' => 'toppage_custom',
'type' => 'checkbox',
));

/* ==== サイドページカスタム ==== */
/* セクション追加 */
$wp_customize->add_section( 'side_custom', array(
  'title' =>'サイドページカスタム',
  'priority' => 102,
));

/* サイドページカスタム：サイドバナー表示／非表示 */
$wp_customize->add_setting('side_custom[sidebanner_disp]', array(
  'type' => 'option',
));

$wp_customize->add_control( 'side_custom[sidebanner_disp]', array(
'settings' => 'side_custom[sidebanner_disp]',
'label' => 'サイドバナーを表示する',
'section' => 'side_custom',
'type' => 'checkbox',
));

/* ヘッダーカスタム：サイドバナー画像選択 */
$wp_customize->add_setting('side_custom[sidebanner_img]', array(
  'type' => 'option',
));

if(class_exists('WP_Customize_Image_Control')):
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'side_custom[sidebanner_img]', array(
  'settings' => 'side_custom[sidebanner_img]',
  'label' => 'サイドバナー画像',
  'section' => 'side_custom',
)));
endif;

/* ヘッダーカスタム：サイドバナーリンクURL */
$wp_customize->add_setting('side_custom[link_url]', array(
  'type' => 'option',
));

$wp_customize->add_control( 'side_custom[link_url]', array(
  'settings' => 'side_custom[link_url]',
  'label' => 'リンクURL',
  'section' => 'side_custom',
  'type' => 'text',
));

/* サイドページカスタム：プロフィール表示／非表示 */
$wp_customize->add_setting('side_custom[profile_disp]', array(
  'type' => 'option',
));

$wp_customize->add_control( 'side_custom[profile_disp]', array(
'settings' => 'side_custom[profile_disp]',
'label' => 'プロフィールを表示する',
'section' => 'side_custom',
'type' => 'checkbox',
));

/* サイドページカスタム：サイドバナー画像選択 */
$wp_customize->add_setting('side_custom[profile_img]', array(
  'type' => 'option',
));

if(class_exists('WP_Customize_Image_Control')):
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'side_custom[profile_img]', array(
  'settings' => 'side_custom[profile_img]',
  'label' => 'プロフィール画像',
  'section' => 'side_custom',
)));
endif;

/* サイドページカスタム：アクセス情報 */
$wp_customize->add_setting('side_custom[access_txt]', array(
  'type' => 'option',
));

if(class_exists('EX_Customize_Textarea_Control')):
  $wp_customize->add_control( new EX_Customize_Textarea_Control( $wp_customize, 'side_custom[access_txt]', array(
    'settings' => 'side_custom[access_txt]',
    'label' => '文章',
    'section' => 'side_custom',
    'type' => 'text',
  )));
endif;

}

// 概要（抜粋）の文字数
function my_length($length){
  return 30;
}

add_filter('excerpt_mblength','my_length');

// 概要（抜粋）の省略記号
function my_more($more) {
  return '・・・';
}

add_filter('excerpt_more','my_more');

// アイキャッチ画像
add_theme_support( 'post-thumbnails' );

// カテゴリの投稿数をaタグの中に
add_filter( 'wp_list_categories', 'my_list_categories', 10, 2 );
function my_list_categories( $output, $args ) {
  $output = preg_replace('/<\/a>\s*\((\d+)\)/',' ($1)</a>',$output);
  return $output;
}

// アーカイブの投稿数をaタグの中に
add_filter( 'get_archives_link', 'my_archives_link' );
function my_archives_link( $output ) {
  $output = preg_replace('/<\/a>\s*(&nbsp;)\((\d+)\)/',' ($2)</a>',$output);
  return $output;
}
